<?php
include 'header.php';
include 'erpc_nfecode_importacao_toolbar.php'; //Nome da tabela _list.php
require_once 'connect.php';
require_once 'inc/messages.php';
require_once 'inc/usuario.php';

checkLogin('login.php');

// capturando o usuário e unidade logado
$usuario_list = getLoggedUser();
$id_usuario=$usuario_list['id'];
$id_unidade=$usuario_list['unidade'];


/* Faz o select único capturando o XML gravado no Banco */
$id_crip   = $_GET['id'];
$chave_crip= $_GET['chave'];

$id   = base64_decode($id_crip);
$chave= base64_decode($chave_crip);
$ds_xml="";

$consulta = "select ds_xml from erpc_documentos_entrada where id = $id";

	$resultado = mysqli_query($conexao, $consulta) or die ($erro = mysqli_error($conexao));
		if (mysqli_num_rows($resultado)>0) {
           while ($registro = mysqli_fetch_assoc($resultado)){
           	$ds_xml = base64_decode($registro['ds_xml']);
            }
        }

/* */
if($ds_xml!=""){
	/* Grava um arquivo temporário para conferência */
	$filename = "xml/{$chave}_LeituraPre.xml";
		file_put_contents($filename, $ds_xml);
		chmod($filename, 0777);

    $xml = simplexml_load_string($ds_xml);
    /*	
		$xml = simplexml_load_string($ds_xml);
		$xml = new DOMDocument('1.0', 'utf-8');
		$xml->loadXML( $ds_xml);
		$XMLresults= $xml->getElementsByTagName("NFe");		    		
		*/
	
	/*
	try{
		
	}catch (Exception $e) {
	    $msg_erro = "Houve um erro ao ler XML: " . $chave . " - " . $e -> getMessage() . "\n";
	    // addError($msg_erro);
	    echo $msg_erro;
	  }
	  */

	$ds_razao   = $xml->NFe->infNFe->emit->xNome;
	$ds_fantasia= $xml->NFe->infNFe->emit->xFant;
	$ds_endereco= $xml->NFe->infNFe->emit->enderEmit->xLgr;
	$ds_bairro  = $xml->NFe->infNFe->emit->enderEmit->xBairro;
	$ds_numero	= $xml->NFe->infNFe->emit->enderEmit->nro;
	$ds_uf      = $xml->NFe->infNFe->emit->enderEmit->UF;
	$ds_codigo_ibge= $xml->NFe->infNFe->ide->cMunFG; 
	$ds_municipio  = $xml->NFe->infNFe->emit->enderEmit->xMun; 
	$ds_cep        = $xml->NFe->infNFe->emit->enderEmit->CEP;
	$ds_tipo      = 'J';// -- F Pessoa Física / J Jurídica
	$ds_cpf_cnpj  = $xml->NFe->infNFe->emit->CNPJ . $xml->NFe->infNFe->emit->CPF;
	$ds_ddi       = '55';
	$ds_ddd       = substr($xml->NFe->infNFe->emit->enderEmit->fone, 0, 2);
	$ds_telefone  = $xml->NFe->infNFe->emit->enderEmit->fone;
	$ds_ie        = $xml->NFe->infNFe->emit->IE;
	$ds_im        = $xml->NFe->infNFe->emit->IM;
	$id_pais 	  = $xml->NFe->infNFe->emit->enderEmit->cPais;
	$ds_cod_cnae  = $xml->NFe->infNFe->emit->enderEmit->CNAE; 

	$vNFe = (string)$xml->NFe->infNFe->total->ICMSTot->vNF;

	$vl_nfe = number_format($vNFe, 2, ',', ''); 

	$st_ativo     = '1';

	$ref_produtos = produtosGetAllFornecedor($ds_cpf_cnpj);
	/*
	echo "<pre>";
	print_r($ref_produtos);
	echo "</pre>";
	*/
	
	$produtos = $xml->NFe->infNFe->det; //$xml->NFe->infNFe->children('det', true);
	// var_dump($produtos);

	$itens = array();
	$p_num_item = 1;
	foreach ($produtos as $key => $value) {
		$p_item = produto_item_create();


		$p_item['item'] = $p_num_item; 
		$p_item['cd_produto_fornecedor'] = (string)$value->prod->cProd; 
		$p_item['ds_produto_fornecedor'] = (string)$value->prod->xProd;

		$prod_referencia = produtosGetReferencia($p_item['cd_produto_fornecedor']);

		/*
		echo "<pre>";
		print_r($prod_referencia);
		echo "</pre>";
		exit;
		*/

		if(count($prod_referencia)==1){
			$p_item['id_produto'] = $prod_referencia[0]['id_produto'];
			$p_item['ds_produto'] = $prod_referencia[0]['ds_produto'];
		}

		$p_item['ds_cfop'] = (string)$value->prod->CFOP; 
		$p_item['cd_ean_produto'] = (string)$value->prod->cEAN; 
		$p_item['ds_ncm_produto'] = (string)$value->prod->NCM;
		$p_item['id_unidade_medida'] = (string)$value->prod->uCom; 
		$p_item['nr_quantidade'] = number_format((string)$value->prod->qCom  , 4, ',', '');
		$p_item['vl_unitario']   = number_format((string)$value->prod->vUnCom, 2, ',', ''); 
		$p_item['vl_prod']       = (string)$value->prod->vProd;
		$p_item['vl_desconto']   = isset($value->prod->vDesc) ? (string)$value->prod->vDesc : '0,00';
		$p_item['nr_pedido_compra'] = 
				isset($value->prod->xPed) ? (string)$value->prod->xPed : '';
		$p_item['nr_item_pedido_compra'] = 
				isset($value->prod->nItemPed) ? (string)$value->prod->nItemPed : '';
		
		$p_item['vl_ipi'] = 
		       isset($value->imposto->IPI->IPITrib->vIPI) ? number_format((string)$value->imposto->IPI->IPITrib->vIPI, 2, ',', '') : '0,00';
		$p_item['nr_perc_ipi'] = 
		       isset($value->imposto->IPI->IPITrib->pIPI) ? number_format((string)$value->imposto->IPI->IPITrib->pIPI, 2, ',', '') : '0,00';
		
		$children = $value->imposto->ICMS->children();
		$first_child = $children[0];
		// echo "<br>2:" . $first_child->CST . "</br>";

	$p_item['vl_icms']     = isset($first_child->vICMS)?number_format((string)$first_child->vICMS, 2, ',', '') : '0,00';
	$p_item['nr_perc_icms']= isset($first_child->pICMS)?number_format((string)$first_child->pICMS, 2, ',', '') : '0,00';

		$p_num_item ++;
		array_push($itens, $p_item);
	}

	/*
		echo "<br>ITENS DO PRODUTO ENCONTRADOS NO XML";
	echo "<pre>";
	print_r($itens_produtos);
	echo "</pre>";

	echo "<br>ds_razao:$ds_razao";
	echo "<br>ds_fantasia:$ds_fantasia";
	echo "<br>ds_endereco:$ds_endereco";
	echo "<br>ds_bairro:$ds_bairro";
	echo "<br>ds_numero:$ds_numero";
	echo "<br>ds_uf:$ds_uf";
	echo "<br>ds_codigo_ibge:$ds_codigo_ibge";
	echo "<br>ds_municipio:$ds_municipio";
	echo "<br>ds_cep:$ds_cep";
	echo "<br>ds_tipo:$ds_tipo";
	echo "<br>ds_cpf_cnpj:$ds_cpf_cnpj";
	echo "<br>ds_ddi:$ds_ddi";
	echo "<br>ds_ddd:$ds_ddd";
	echo "<br>ds_telefone:$ds_telefone";
	echo "<br>ds_ie:$ds_ie";
	echo "<br>ds_im:$ds_im";
	echo "<br>id_pais:$id_pais";
	echo "<br>ds_cod_cnae:$ds_cod_cnae";

	$ds_fax
	$ds_cx_postal  
	$ds_rg
	$ds_departamento
	$ds_email
	$ds_homepage
	$ds_telex
	$ds_cod_cbo
	$ds_complemento
	$ds_contato
	*/
}

/* Formata o CNPJ de acordo com o formato no MYSQL */
function formata_cnpj ( $x ){
	$y = sprintf("%014s",$x);// só inclui esta linha
	$str = preg_replace("/([0-9]{2})([0-9]{3})([0-9]{3})([0-9]{4})([0-9]{2})/", "$1.$2.$3/$4-$5", $y);
		return $str;
}

/* Retorna o array do primeiro produto encontrado na lista */
function produtosGetReferencia($p_ref){
	global $ref_produtos;
	$tmp_ref = array();

	if(isset($ref_produtos[$p_ref])){
		if(count($ref_produtos[$p_ref])==1){
			$tmp_ref = $ref_produtos[$p_ref];
		}
	}
	return $tmp_ref;
}

/* Retorna um array estruturado de Referências x Produtos do ERP */
function produtosGetAllFornecedor($p_cnpj){
	global $conexao;
	$array_return = array();

	$cnpj = formata_cnpj($p_cnpj);
    $consulta = "select ds_cod_produto_fornecedor, id_produto, ds_produto 
				from   erpc_fornecedores_produtos fp 
				join   erpc_fornecedores f on fp.id_fornecedor = f.id
				join   erpc_produtos     p on fp.id_produto = p.id
				where  f.ds_cpf_cnpj = '$cnpj'and fp.st_ativo = 1
				order by 1,2";

    $resultado = mysqli_query($conexao, $consulta) or die ($erro = mysqli_error($conexao));
		if (mysqli_num_rows($resultado)>0) {
           while ($registro = mysqli_fetch_assoc($resultado)){
           		$cd_produto_fornecedor = rtrim($registro['ds_cod_produto_fornecedor']);

           		$tmp_array  = array(
	           		'id_produto' => $registro['id_produto'],
	           		'ds_produto' => $registro['ds_produto']
	           	);
	           	if(!isset($array_return[$cd_produto_fornecedor])){
	           		$array_return[$cd_produto_fornecedor] = array($tmp_array);
	           	}else{
	           		array_push($array_return[$cd_produto_fornecedor], $tmp_array);
	           	}
       		}
    }
    return $array_return;
}

/* Valores para criação do item do produto */
function produto_item_create(){
	$item = 
	array(
		'id_tipo_movimentacao' => '', 
		'id_produto' => '',
		'ds_produto' => '', 
		'item' => '', 
		'cd_produto_fornecedor' => '', 
		'ds_produto_fornecedor' => '', 
		'ds_cfop' => '', 
		'cd_ean_produto' => '', 
		'ds_ncm_produto' => '', 
		'id_unidade_medida' => '', 
		'nr_quantidade' => '',
		'vl_unitario' => '', 
		'vl_desconto' => '', 
		'vl_prod' => '', 
		'vl_ipi' => '0.00', 
		'vl_icms'=> '0.00', 
		'nr_perc_ipi' => '0.00', 
		'nr_perc_icms'=> '0.00', 
		'nr_pedido_compra' => '', 
		'nr_item_pedido_compra' => ''
	);
	return $item;
}

?>

<ul class="nav nav-tabs" role="tablist">
  	<li role="presentation" class="active">
                          <a href="#form1" aria-controls="form1" role="tab" data-toggle="tab">Fornecedor</a></li>

</ul>

<!--
<ul class="nav nav-tabs" role="tablist">
	<li role="presentation"><a href="#form2" aria-controls="form2" role="tab" data-toggle="tab">Produtos</a></li>
  
  	<li role="presentation"><a href="#form3" aria-controls="form3" role="tab" data-toggle="tab">Pedidos</a></li>
</ul>
-->

<form id="validate_custom" name="validate_custom" method=POST action="erpc_nfecode_importacao_pre_ws.php">
<div class="tab-content">
  <!--<form id=validate_custom method=POST action="erpc_produto_ws.php" >-->
  <div role="tabpanel" class="tab-pane fade in active" id="form1">
	<div class="block">
		<input hidden type=text name="id" id="id" value="<?=$id;?>" maxlength="50"/>
		<input hidden type=text name="id_status_pedido" id="id_status_pedido"/> <!-- STATUS PARA PEDIDO DE COMPRA -->

	    <div class="content controls">
	      <div class="form-row">
	        <div class="col-md-2"><label>Chave de Acesso</label></div>
	        <div class="col-md-4">
	        	<input readonly type=text name="ds_chave" id="ds_chave" value="<?=$chave;?>" maxlength="50"/></div>

			<div class="col-md-2"><label>R$ Valor Nfe</label></div>
	        <div class="col-md-2">
	        	<input readonly type=text name="vl_nfe" id="vl_nfe" value="<?=$vl_nfe;?>" maxlength="50"/></div>
	      </div>

		<div class="form-row">
	        <div class="col-md-2"><label>Razão Social</label></div>
	        <div class="col-md-10"><input type=text name="ds_razao" id="ds_razao" class="validate[required]" value="<?=$ds_razao;?>" maxlength="100"/></div>
	      </div>

	      <div class="form-row">
	        <div class="col-md-2"><label>Nome Fantasia</label></div>
	        <div class="col-md-6"><input type=text name="ds_fantasia" id="ds_fantasia" class="validate[required]" value="<?=$ds_fantasia;?>" maxlength="40"/></div>
	      </div>

   	     <div class="form-row">
	      <div class="col-md-2"><label>CNPJ</label></div>
	      <div class="col-md-4"><input name="ds_cpf_cnpj" id="ds_cpf_cnpj" class="mask_cnpj" value="<?=$ds_cpf_cnpj;?>"/></div>
	     </div>


	      <div class="form-row">
	        <div class="col-md-2"><label>CEP</label></div>
	        <div class="col-md-2"><input type=text name="ds_cep" id="ds_cep" maxlenght="8" size="4" class="mask_cep" value="<?=$ds_cep;?>"></div>
	      </div>


	      <!--
	      <div class="form-row">
	        <div class="col-md-2"><label>CEP</label></div>
	        <div class="col-md-2">
	          <div class="input-group">
	            <input type=text name="ds_cep" id="ds_cep" maxlenght="8" size="4" class="mask_cep">
	            <div class="input-group-addon">
	            <a href="helper-cep.php" class='input-helper' data-remote="false" data-toggle="modal" data-target="#helper-modal-div" data-value="#ds_cep" data-description="#ds_endereco" data-title="Selecione:">
	            <span class="fa fa-search"></span></a>
	          </div>
	          </div>
	        </div>
	      </div>
	      -->

	      <div class="form-row">
	        <div class="col-md-2"><label>Endereço</label></div>
	        <div class="col-md-10"><input type=text name="ds_endereco" id="ds_endereco" class="validate[required]" maxlength="100" value="<?=$ds_endereco;?>"/></div>
	      </div>


		 <div class="form-row">
	        <div class="col-md-2"><label>Bairro</label></div>
	        <div class="col-md-4"><input type=text name="ds_bairro" id="ds_bairro" class="validate[required]" maxlength="100" value="<?=$ds_bairro;?>"/></div>

	        <div class="col-md-2"><label>Numero</label></div>
	        <div class="col-md-2"><input type=text name="ds_numero" id="ds_numero" class="validate[required]" maxlength="10" value="<?=$ds_numero;?>"/></div>
	      </div>

	    <?
	    $consulta = "select id, ds_municipio from erpc_municipios where ds_codigo_ibge = '$ds_codigo_ibge'";

	    $resultado = mysqli_query($conexao, $consulta) or die ($erro = mysqli_error($conexao));
			if (mysqli_num_rows($resultado)>0) {
            while ($registro = mysqli_fetch_assoc($resultado)){
            	$id_municipio = $registro['id'];
            	$ds_municipio = $registro['ds_municipio'];
        		}
        	}
	    ?>

	    <div class="row clear">&nbsp;</div>
	    <div class="form-row">
	      <div class="col-md-2"><label>Município</label></div>
	      <div class="col-md-2">
	        <div class="input-group">
	          <input type=number name="id_municipio" id="id_municipio" maxlenght="10" value="<?=$id_municipio;?>" size="4">
	            <div class="input-group-addon">
	            <a href="erpc_municipios_helper.php" class='input-helper' data-remote="false" data-toggle="modal" data-target="#helper-modal-div" data-parameter="" data-value="#id_municipio" data-description="#ds_municipio" data-title="Selecione:">
	            <span class="fa fa-search"></span></a>
	            </div>
	         </div>
	      </div>
	      <div class="col-md-2"><input name="ds_municipio" id="ds_municipio" value="<?=$ds_municipio;?>" readonly></div>

	      	<div class="col-md-2"><label>Código IBGE</label></div>
	        <div class="col-md-2"><input type=text name="ds_codigo_ibge" id="ds_codigo_ibge" class="validate[required]" maxlength="06" value="<?=$ds_codigo_ibge;?>"/></div>
	  	</div>

	  	<div class="form-row">
	        <div class="col-md-2"><label>UF</label></div>
	        <div class="col-md-4"><input type=text name="ds_uf" id="ds_uf" class="validate[required]" maxlength="02" value="<?=$ds_uf;?>"/></div>

	        <div class="col-md-2"><label>País</label></div>
	        <div class="col-md-2"><input type=text name="id_pais" id="id_pais" class="validate[required]" maxlength="04" value="<?=$id_pais;?>"/></div>
	    </div>

	    <div class="form-row">
	      <div class="col-md-2"><label>Tipo</label></div>
	      <div class="col-md-2">
	              <select name="tp_tipo" id="tp_tipo">
	                <option value="F" <?if($ds_tipo=="F"){echo "select";}?>/>F - Fisico</option>
	                <option value="J" <?if($ds_tipo=="J"){echo "select";}?>/>J - Juridico</option>
	                <option value="X" <?if($ds_tipo=="X"){echo "select";}?>/>X - Outros</option>
	              </select>
	      </div>

	      <div class="col-md-2">&nbsp;</div>
	      <div class="col-md-2"><label>CNAE</label></div>
	      <div class="col-md-2"><input type=number name="ds_cod_cnae" id="ds_cod_cnae" value="<?=$ds_cod_cnae;?>"/></div>
	    </div>

	    <div class="form-row">
	      <div class="col-md-2"><label>DDI</label></div>
	      <div class="col-md-2"><input type=number name="ds_ddi" id="ds_ddi" maxlength="02" value="<?=$ds_ddi;?>"></div>

	      <div class="col-md-1"><label>DDD</label></div>
	      <div class="col-md-1"><input type=number name="ds_ddd" id="ds_ddd" maxlength="02" value="<?=$ds_ddd;?>"></div>

	      <div class="col-md-2"><label>Telefone</label></div>
	      <div class="col-md-2"><input type=number name="ds_telefone" id="ds_telefone" maxlength="09" class="mask_nr_tel" value="<?=$ds_telefone;?>"></div>
	    </div>

	    <div class="form-row">
	      <div class="col-md-2"><label>Insc. Estadual</label></div>
	      <div class="col-md-2"><input type=number name="ds_ie" id="ds_ie" value="<?=$ds_ie;?>"/></div>

	      <div class="col-md-2">&nbsp;</div>
	      <div class="col-md-2"><label>Insc. Municipal</label></div>
	      <div class="col-md-2"><input type=number name="ds_im" id="ds_im" value="<?=$ds_im;?>"/></div>
	     </div>

		</div>
	</div>

	<div class="row clear">&nbsp;</div>

</div>


<!-- fim do 1 tab content -->

<!-- inicio do 2 tab content -->
<ul class="nav nav-tabs" role="tablist">
    <li role="presentation" class="active">
    	<a href="#form2" aria-controls="form2" role="tab" data-toggle="tab">Produtos</a></li>
    
    <li role="presentation">
    	<a href="#form3" aria-controls="form3" role="tab" data-toggle="tab">Pedidos de Compra</a></li>
 </ul>

<div class="tab-content">
	<div role="tabpanel" class="tab-pane fade in active" id="form2">
   	<?php
   		include 'erpc_nfecode_importacao_pre_produtos.php';
    	?>
	</div>

  	<div role="tabpanel" class="tab-pane fade" 			id="form3">
    	<?php
    		include 'erpc_nfecode_importacao_pre_pedidos.php';
    	?>
 	</div>
 </div>

	<!-- FIM DO BLOCK DE ABAS => PRODUTO / PEDIDOS -->

	  	<div class=footer>
	      <div class="side pull-right">
	        <div class=btn-group>
	          <!--
	          <button class="btn btn-success" type="submit" value="adicionar" name="adicionar">Adicionar</button>
	      		-->
	      		<button class="btn btn-success" type="button" id="butValidar" value="adicionar" name="adicionar">Adicionar</button>
	          
	          	<button class="btn btn-default" type="button" onClick="window.history.go(-1)" value="Voltar">Voltar</button>

	        </div>
	      </div>
	    </div>

	</div>
</div>

</form>

<?php include 'inc/helper_modal_div.php';?>
<?php include 'footer.php'; ?>
<style>
#div_label{
  position: absolute;
  top:0px;
  height: 250px;
  width:  300px;
  overflow: auto;
  overflow-y: hidden;
  background-color: #666666;
  scrollbar-base-color:#ffeaff
}
</style>
<div class="div_label">&nbsp</div>

<script type='text/javascript' src='js/pedidos_entrada.js' ></script>
<script type="text/javascript">
	$(document).ready(function() {

		
		
	}(jQuery));
</script>
